ARCHIVE-NIHOCC(1)

NAME
archive-nihocc - maintain a local NIH Open Citation Collection archive

SYNOPSIS
archive-nihocc [[-]daily|[-][re]index] [[-]clean|[-]clear|[-]scrub|[-]scour|[-]scratch|[-]erase] [-ftp|-http[s]]

DESCRIPTION
archive-nihocc prepares a directory to hold a local NIH Open Citation Collection archive, then downloads a full database dump and organizes it into an rchive(1) trie.

OPTIONS

[-]daily
    Additionally produce or update an inverted index.

[-][re]index
    Fully reindex, complete with an inverted index.

[-]clean|[-]clear|[-]scrub|[-]scour|[-]scratch|[-]erase
    Delete Scratch directories.

-ftp
    Download needed data via FTP (default).

-http[s]
    Download needed data via HTTPS.

ENVIRONMENT

EDIRECT_LOCAL_ARCHIVE
    Local archive directory to use; expected to hold an absolute path.

EDIRECT_LOCAL_WORKING
    Directory to hold intermediate subtrees; expected to hold an absolute path. Defaults to the local archive directory when not set.

SEE ALSO
archive-nlmnlp(1), archive-nmcds(1), archive-pids(1), archive-pmc(1), archive-pubmed(1), archive-taxonomy(1), nquire(1), pm-clean(1), pm-prepare(1), pm-setup(1), rchive(1), xfetch(1), xfilter(1), xinfo(1), xlink(1), xsearch(1), xtract(1).